<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Movement\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\PaymentForm\Models\PaymentForm;
use Schaffen\Core\Product\Models\ProductVarietyPack;

class SalesPaymentForm extends Model
{
   protected $table = "movimentacao.venda_forma_pagamento";
   public $timestamps = false;
   protected $primaryKey = 'vfp_codigo';

   protected $fillable = [
        "vfp_fk_ven_codigo",
        "vfp_fk_fop_codigo",
        "vfp_valor",
        "vfp_numero_vezes"
   ];

   public function payment_form(){
       return $this->belongsTo(PaymentForm::class, 'vfp_fk_fop_codigo');
   }

}
